@ECHO OFF
rem LHA.EXE version ... 11-12-94   HARD DISKS INSTALL
rem Batch Install for Registered users, multiple disk formats Al Dodd
rem distribution disk has install.bat, which is copied as install1.bat

if "%1"=="" goto EXITMSSG
if "%2"=="" goto EXITMSSG

if exist %2:\install1.bat goto commandline
%2:
cd\
copy %1:install.bat install1.bat
cls
install1 %1 %2

:commandline
CLS
ECHO  **********************************************************************
ECHO  *                                                                    *
ECHO  *   League Manager Installation for Version 1.9X                     *
ECHO  *   This will work for the programs stored in LZH files              *
ECHO  *                                                                    *
ECHO  *   LHA.EXE is a file compression utility program                    *
ECHO  *      copyrighted by Haruyasu Yoshizaki                             *
ECHO  *                                                                    *
ECHO  *   This procedure will create the following directories:            *
ECHO  *    %2:\LM        - for all program files                            *
ECHO  *    %2:\LM\SAMPLE - for sample data files                            *
ECHO  *    %2:\LM\DATA   - for your own data files                          *
ECHO  *                                                                    *
ECHO  *    Programs & Data will Load from drive %1                          *
ECHO  *                                                                    *
ECHO  *  If the above is incorrect, press Ctrl-C NOW and Restart           *
ECHO  *  You should begin the installation by typing: A:INSTALL S D        *
ECHO  *  where S is drive letter for Source disks, D is Destination drive  *
ECHO  *                                                                    *
ECHO  **********************************************************************
goto start

:EXITMSSG
cls
echo.
echo **********************  STARTUP ERROR *********************************
ECHO The Install program must have more info from you!
echo.
echo Begin Install by including the SOURCE drive & DESTINATION drive
echo example:     A:INSTALL A C   (A is Source, C is Destination)
echo.
echo This will install from the A drive TO the C drive, creating the
echo necessary directories as required.
goto EXIT

:start
pause
%2:
cd\
if exist config.sys goto checkm
if not "%2"=="c" goto showmssg
echo Generating CONFIG.SYS on C:\
echo files=25>>config.sys
echo buffers=25>>config.sys
echo You will need to REBOOT your system after installation is complete!
goto checkm

:showmssg
ECHO  **********************************************************************
ECHO  *                                                                    *
ECHO  *                WARNING - CONFIG.SYS FILE MISSING!                  *
ECHO  *                                                                    *
ECHO  *  IF YOUR SYSTEM BOOTS FROM %2: YOU NEED A CONFIG.SYS FILE WHICH     *
ECHO  *  HAS A `FILES=25' & `BUFFERS=25' STATEMENTS, OTHERWISE LEAGUE      *
ECHO  *  MANAGER MAY NOT OPERATE PROPERLY & YOU WILL GET SYSTEM ERRORS!    *
ECHO  *                                                                    *
ECHO  *      CONSULT YOUR DOS MANUAL ON HOW TO CREATE THIS FILE.           *
ECHO  **********************************************************************
pause

:checkm
if exist %2:\LM\*.* goto checks
echo Creating new directory on %2 for programs as \LM
md %2:\LM

:checks
if exist %2:\LM\SAMPLE\*.* goto checkd
echo Creating new directory on %2 for SAMPLE data as \LM\SAMPLE
md %2:\LM\SAMPLE

:checkd
if exist %2:\LM\DATA\*.* goto startcopy
echo Creating new directory on %2 for your DATA files as \LM\DATA
md %2:\LM\DATA

:startcopy
rem should be ready to copy files now
rem May ship on different formats of disks - 360k,720k,1.2m, 1.44m
rem try to figure out what we are installing from and act intelligent

echo Installing files from %1 to %2 ...

:disk1
if exist %1:ADSLM19A.LZH goto disk1a

echo.
echo.
echo Insert League Manager Disk 1 into drive %1
pause
if not exist %1:ADSLM19A.LZH goto disk1

:disk1a
@echo on
copy %1:LHA.EXE %2:\LM

%1:LHA E /M %1:ADSLM19A.LZH %2:\LM\
@echo off
if errorlevel 1 goto errhandle

:disk2
if exist %1:ADSLM19B.LZH goto disk2a
echo.
echo Insert League Manager Disk 2 into drive %1
pause
if not exist %1:ADSLM19B.LZH goto disk2

:disk2a
@echo on
%1:LHA E /M %1:ADSLM19B.LZH %2:\LM\
@echo off
if errorlevel 1 goto errhandle

REN %2:\LM\LMH.INI LM.INI

@echo on
%1:LHA E /M %2:\LM\LMDATA.LZH %2:\LM\SAMPLE\
DEL %2:\LM\LMDATA.LZH
@echo off
if errorlevel 1 goto errhandle

rem see if registered user disk and install schedule stuff

if not exist %1:LMREG.DAT goto done

:disk3
if exist %1:ADSLM19R.LZH goto disk3a
echo.
echo Insert Next League Manager Disk (2 or 3) into drive %1
pause
if not exist %1:ADSLM19R.LZH goto disk3

:disk3a
@echo on
%1:LHA E /M %1:ADSLM19R.LZH %2:\LM\
@echo off
if errorlevel 1 goto errhandle

rem copy registered version of league over too
if not exist %1:league.exe goto done
copy %1:league.exe %2:\LM
goto done

:errhandle
echo.
echo *** AN ERROR IN THE INSTALLATION PROCESS HAS OCCURED ***
echo.
if errorlevel 3 goto err3
if errorlevel 2 goto err2
if errorlevel 1 goto err1
echo An Unknown error occurred
goto exit

:err3
echo Failed to write temporary file
goto exit

:err2
echo FATAL error occured
goto exit

:err1
echo CRC error -or- Disk is FULL
goto exit

:done
echo.
echo Now copying report formats to your data directory ...
@echo on
copy %2:\LM\SAMPLE\*.frm %2:\LM\DATA
copy %2:\LM\SAMPLE\*.rst %2:\LM\DATA
@echo off

echo.
echo League Manager installation is complete.
echo.
echo Additional information can be found in the README.DOC file
echo to print this file, type COPY README.DOC PRN
echo or you may view it using the DOS - TYPE or LIST commands.
echo.
echo You may also press F1 key to get On-line HELP screens at any time.
echo.

rem log into dir
cd LM
echo.
echo The opening screen will ask you to enter the DATA Directory
echo where your data is stored.  To see the SAMPLE data files:
echo Enter the following:  %2:\LM\SAMPLE   (Enter)
echo.
echo To run the program, type in LEAGUE    (Enter)
echo.
:EXIT
